Page MenuHomePhabricator

Replace usages of mw-ui-primary and mw-ui-constructive with mw-ui-progressive
Closed, ResolvedPublic

Description

In various places we are using these deprecated classes. Let's stop doing this immediately by moving to use mw-ui-progressive to stop further confusion.
Compare M101

See

Core

Skins

Using mw-ui-primary

  • Timeless (this seems to maintain its own unused version of this class)
  • Tempo (this seems to maintain its own unused version of this class)

Extensions

Using mw-ui-constructive and mw-ui-primary

Using mw-ui-primary

Using mw-ui-constructive

Details

Related Gerrit Patches:
mediawiki/core : mastermediawiki.UI: Document explicitly about deprecated .mw-ui-constructive
mediawiki/extensions/GuidedTour : masterReplace deprecated .mw-ui-constructive class with .mw-ui-progressive
mediawiki/core : masterReplace deprecated `constructive` with `progressive`
mediawiki/extensions/ContentTranslation : masterReplace deprecated .mw-ui-constructive with .mw-ui-progressive
mediawiki/extensions/UniversalLanguageSelector : masterReplace deprecated .mw-ui-constructive with .mw-ui-progressive
mediawiki/extensions/Flow : masterReplace deprecated .mw-ui-constructive with .mw-ui-progressive
mediawiki/extensions/MobileFrontend : masterUse mw-ui-progressive on constructive buttons
mediawiki/skins/Timeless : masterRemove styling for .mw-ui-primary
mediawiki/skins/Timeless : masterRemove styling for .mw-ui-constructive
mediawiki/extensions/Thanks : masterUse mw-ui-progressive instead of constructive
mediawiki/extensions/Petition : masterUse mw-ui-progressive rather than deprecated mw-ui-primary
mediawiki/extensions/WikiLove : masterUse mw-ui-progressive instead of constructive
mediawiki/extensions/Popups : mastersettings: Use mw-ui-progressive instead of progressive buttons
mediawiki/extensions/TwnMainPage : masterUse mw-ui-progressive on constructive button
mediawiki/extensions/OAuth : masterUse mw-ui-progressive CSS class for buttons
mediawiki/extensions/CentralAuth : masterUse mw-ui-progressive for button classes
mediawiki/extensions/Translate : masterMigrate away from deprecated mw-ui-constructive and mw-ui-primary classes

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 313227 had a related patch set uploaded (by Jdlrobson):
Migrate away from deprecated mw-ui-constructive and mw-ui-primary classes

https://gerrit.wikimedia.org/r/313227

Change 313228 had a related patch set uploaded (by Jdlrobson):
Use mw-ui-progressive on constructive buttons

https://gerrit.wikimedia.org/r/313228

Jdlrobson updated the task description. (Show Details)Sep 28 2016, 6:08 PM

Change 313227 merged by jenkins-bot:
Migrate away from deprecated mw-ui-constructive and mw-ui-primary classes

https://gerrit.wikimedia.org/r/313227

matmarex updated the task description. (Show Details)Sep 28 2016, 8:27 PM
Jdlrobson updated the task description. (Show Details)

Change 313312 had a related patch set uploaded (by Jdlrobson):
Use mw-ui-progressive for button classes

https://gerrit.wikimedia.org/r/313312

Jdlrobson updated the task description. (Show Details)Sep 28 2016, 8:50 PM

Change 313313 had a related patch set uploaded (by Jdlrobson):
Use mw-ui-progressive for buttons

https://gerrit.wikimedia.org/r/313313

Change 313312 merged by jenkins-bot:
Use mw-ui-progressive for button classes

https://gerrit.wikimedia.org/r/313312

Jdlrobson updated the task description. (Show Details)Sep 28 2016, 8:55 PM

Change 313314 had a related patch set uploaded (by Jdlrobson):
Use mw-ui-progressive rather than deprecated mw-ui-primary

https://gerrit.wikimedia.org/r/313314

Jdlrobson updated the task description. (Show Details)Sep 28 2016, 8:58 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Sep 28 2016, 9:02 PM

Change 313313 merged by jenkins-bot:
Use mw-ui-progressive CSS class for buttons

https://gerrit.wikimedia.org/r/313313

Jdlrobson updated the task description. (Show Details)Sep 29 2016, 1:27 AM

Change 313391 had a related patch set uploaded (by Prtksxna):
settings: Use mw-ui-progressive instead of progressive buttons

https://gerrit.wikimedia.org/r/313391

Change 313392 had a related patch set uploaded (by Nikerabbit):
Use mw-ui-progressive on constructive button

https://gerrit.wikimedia.org/r/313392

Nikerabbit updated the task description. (Show Details)Sep 29 2016, 1:17 PM
Prtksxna updated the task description. (Show Details)Sep 29 2016, 1:18 PM

Change 313394 had a related patch set uploaded (by Prtksxna):
Use mw-ui-progressive instead of constructive

https://gerrit.wikimedia.org/r/313394

Prtksxna updated the task description. (Show Details)Sep 29 2016, 1:23 PM

Change 313396 had a related patch set uploaded (by Prtksxna):
Remove styling for .mw-ui-constructive

https://gerrit.wikimedia.org/r/313396

Prtksxna updated the task description. (Show Details)Sep 29 2016, 1:30 PM

Change 313397 had a related patch set uploaded (by Prtksxna):
Use mw-ui-progressive instead of constructive

https://gerrit.wikimedia.org/r/313397

Prtksxna updated the task description. (Show Details)Sep 29 2016, 1:35 PM
Prtksxna added a subscriber: Prtksxna.

Change 313396 merged by jenkins-bot:
Remove styling for .mw-ui-constructive

https://gerrit.wikimedia.org/r/313396

Prtksxna updated the task description. (Show Details)Sep 29 2016, 2:52 PM
Jdlrobson updated the task description. (Show Details)Sep 29 2016, 4:10 PM

Change 313391 merged by jenkins-bot:
settings: Use mw-ui-progressive instead of progressive buttons

https://gerrit.wikimedia.org/r/313391

Change 313392 merged by jenkins-bot:
Use mw-ui-progressive on constructive button

https://gerrit.wikimedia.org/r/313392

Prtksxna updated the task description. (Show Details)Sep 29 2016, 4:32 PM
jhobs triaged this task as Medium priority.Sep 29 2016, 5:14 PM
jhobs updated the task description. (Show Details)

Change 313397 merged by jenkins-bot:
Use mw-ui-progressive instead of constructive

https://gerrit.wikimedia.org/r/313397

Change 313314 merged by jenkins-bot:
Use mw-ui-progressive rather than deprecated mw-ui-primary

https://gerrit.wikimedia.org/r/313314

Volker_E updated the task description. (Show Details)Sep 29 2016, 5:42 PM
Volker_E awarded a token.
Volker_E added a subscriber: Volker_E.
Restricted Application added a project: UI-Standardization. · View Herald TranscriptSep 29 2016, 5:44 PM

Change 313394 merged by jenkins-bot:
Use mw-ui-progressive instead of constructive

https://gerrit.wikimedia.org/r/313394

@ovasileva, how did this normal priority task get added to our sprint? Aren't there more important tasks that we can work on?

Change 313443 had a related patch set uploaded (by Prtksxna):
Remove styling for .mw-ui-primary

https://gerrit.wikimedia.org/r/313443

Change 313443 merged by jenkins-bot:
Remove styling for .mw-ui-primary

https://gerrit.wikimedia.org/r/313443

Volker_E updated the task description. (Show Details)Sep 29 2016, 6:46 PM
matmarex updated the task description. (Show Details)Sep 29 2016, 6:55 PM

Change 313228 merged by jenkins-bot:
Use mw-ui-progressive on constructive buttons

https://gerrit.wikimedia.org/r/313228

Volker_E updated the task description. (Show Details)Sep 29 2016, 9:22 PM

Change 313513 had a related patch set uploaded (by VolkerE):
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313513

Volker_E updated the task description. (Show Details)Sep 29 2016, 10:03 PM

Change 313517 had a related patch set uploaded (by VolkerE):
Replace deprecated .mw-ui-constructive class with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313517

Volker_E updated the task description. (Show Details)Sep 29 2016, 10:28 PM
Volker_E updated the task description. (Show Details)

Change 313520 had a related patch set uploaded (by VolkerE):
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313520

Volker_E updated the task description. (Show Details)Sep 29 2016, 10:38 PM

Change 313528 had a related patch set uploaded (by VolkerE):
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313528

Volker_E updated the task description. (Show Details)Sep 29 2016, 11:00 PM

Change 313513 merged by jenkins-bot:
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313513

Volker_E updated the task description. (Show Details)Sep 30 2016, 12:59 AM

Change 313528 merged by jenkins-bot:
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313528

Volker_E updated the task description. (Show Details)Sep 30 2016, 5:29 PM

Change 313617 had a related patch set uploaded (by VolkerE):
Replace deprecated constructive with progressive

https://gerrit.wikimedia.org/r/313617

Volker_E updated the task description. (Show Details)Sep 30 2016, 8:22 PM

Change 313617 merged by jenkins-bot:
Replace deprecated constructive with progressive

https://gerrit.wikimedia.org/r/313617

Volker_E updated the task description. (Show Details)Sep 30 2016, 10:03 PM

Change 313520 merged by jenkins-bot:
Replace deprecated .mw-ui-constructive with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313520

Volker_E updated the task description. (Show Details)Oct 3 2016, 5:20 PM

Change 313517 merged by jenkins-bot:
Replace deprecated .mw-ui-constructive class with .mw-ui-progressive

https://gerrit.wikimedia.org/r/313517

Volker_E updated the task description. (Show Details)Oct 11 2016, 2:53 AM

Change 315197 had a related patch set uploaded (by VolkerE):
mediawiki.UI: Document explicitly about deprecated .mw-ui-constructive

https://gerrit.wikimedia.org/r/315197

Volker_E updated the task description. (Show Details)Oct 11 2016, 3:29 AM

Change 315197 merged by jenkins-bot:
mediawiki.UI: Document explicitly about deprecated .mw-ui-constructive

https://gerrit.wikimedia.org/r/315197

Volker_E updated the task description. (Show Details)Oct 11 2016, 5:34 PM
Jdlrobson closed this task as Resolved.Oct 11 2016, 8:30 PM
Jdlrobson claimed this task.

I think we're done. Thanks to all that helped!
Please reopen if we've missed anything.

Volker_E moved this task from Doing… to Done on the UI-Standardization-Kanban board.